# frozen_string_literal: true

require_relative 'lib/not_methods/version'

Gem::Specification.new do |spec|
  spec.name          = 'not_methods'
  spec.version       = NotMethods::VERSION
  spec.authors     = ['Leo Policastro']
  spec.email       = ['leo@leopolicastro.com']
  spec.homepage    = 'https://github.com/leopolicastro/not_methods'
  spec.summary     = 'Provides simple methods.'
  spec.description = 'NotMethods is a simple Ruby gem that provides methods to make your life just a little bit easier.'
  spec.license     = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # Uncomment to register a new dependency of your gem
  spec.add_dependency 'activerecord', '~> 6.1', '>= 6.1.4.1'
  spec.add_dependency 'activesupport', '~> 6.1', '>= 6.1.4.1'
  spec.add_development_dependency 'rspec'

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
